libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId > Class Template Reference

`#include <IWORKMutableArrayElement.h>`

Inheritance diagram for libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >:

## Public Member Functions
| IWORKMutableArrayElement (IWORKXMLParserState &state, ArrayDict_t &arrayDict, std::deque< Type > &elements)
| IWORKMutableArrayElement (IWORKXMLParserState &state, ArrayDict_t &arrayDict, ContextDict_t &dict, std::deque< Type > &elements)
Public Member Functions inherited from libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, 0 >
| IWORKContainerContext (IWORKXMLParserState &state, std::deque< Type > &elements)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Types
typedef IWORKContainerContext< Type, NestedParser, Collector, Id, RefId > | Super_t
typedef std::unordered_map< ID_t, Type > | ContextDict_t
typedef std::unordered_map< ID_t, std::deque< Type > > | ArrayDict_t

## Private Member Functions
IWORKXMLContextPtr_t | element (const int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
ArrayDict_t & | m_arrayDict
std::deque< Type > & | m_elements

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Member Typedef Documentation

## ◆ ArrayDict_t

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

typedef std::unordered_map<ID_t, std::deque<Type> > libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::ArrayDict_t
| private

## ◆ ContextDict_t

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

typedef std::unordered_map<ID_t, Type> libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::ContextDict_t
| private

## ◆ Super_t

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

typedef IWORKContainerContext<Type, NestedParser, Collector, Id, RefId> libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::Super_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKMutableArrayElement() [1/2]

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::IWORKMutableArrayElement | ( | IWORKXMLParserState & | state,
|  | ArrayDict_t & | arrayDict,
|  | std::deque< Type > & | elements )
| inline

## ◆ IWORKMutableArrayElement() [2/2]

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::IWORKMutableArrayElement | ( | IWORKXMLParserState & | state,
|  | ArrayDict_t & | arrayDict,
|  | ContextDict_t & | dict,
|  | std::deque< Type > & | elements )
| inline

## Member Function Documentation

## ◆ element()

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

IWORKXMLContextPtr_t libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::element | ( | const int | name | ) |
| inline override private virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Reimplemented from libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, 0 >.

## ◆ endOfElement()

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

void libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::endOfElement | ( |  | ) |
| inline override private virtual

Signalize the end of an element.

Reimplemented from libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, 0 >.

## Member Data Documentation

## ◆ m_arrayDict

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

ArrayDict_t& libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::m_arrayDict
| private

## ◆ m_elements

template<typename Type, class NestedParser, template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

std::deque<Type>& libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::m_elements
| private

The documentation for this class was generated from the following file:

- IWORKMutableArrayElement.h